#ifndef __contourscale_h__
#define __contourscale_h__

class ContourScale {
protected:
  float* level_;
  int size_;

public:
  ContourScale(int);
  virtual ~ContourScale();

  int size() {return size_;}
  float level(int i) {return level_[i];}

  void list();
};

class LinearContourScale : public ContourScale {
public:
  LinearContourScale(int, float, float);
};

class LogContourScale : public ContourScale {
public:
  LogContourScale(int, float, float);
};

class SquaredContourScale : public ContourScale {
public:
  SquaredContourScale(int, float, float);
};

class SqrtContourScale : public ContourScale {
public:
  SqrtContourScale(int, float, float);
};

#endif
