#ifndef __fvcontour_h__
#define __fvcontour_h__

#include "contour.h"

class FVContourPlot : public ContourPlot {
private:
  enum {top, right, bottom, left, none};

  ContourScale* scale;
  float res;

  void unity(FitsImage*);
  void block(FitsImage*);
  int build(int xdim, int ydim, float *image, Matrix&);
  int trace(int xdim, int ydim, float cntr,
	    int xCell, int yCell, int side,
	    float** rows, char* useGrid, Matrix&);

public:
  FVContourPlot(Frame*, FitsImage*, const char*, int, float,
		float, float, Frame::ColorScaleType);
  ~FVContourPlot();

  void append(FitsImage*);
};

#endif
